Logbook for basic setup of NodeRED on Raspberry Pi 3 

user node-red anlegen
adduser node-red
user SUDOER zuweisen
adduser node-red sudo
apt-get install nodered
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
libhttp-parser2.8 libuv1 nodejs nodejs-doc
The following NEW packages will be installed:
libhttp-parser2.8 libuv1 nodejs nodejs-doc nodered
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 10.3 MB of archives.
After this operation, 82.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://archive.raspberrypi.org/debian stretch/main armhf libhttp-parser2.8 armhf 2.8.1-1~bpo9+1 [19.3 kB]
Get:2 http://archive.raspberrypi.org/debian stretch/main armhf libuv1 armhf 1.18.0-3~bpo9+1 [86.3 kB]
Get:3 http://archive.raspberrypi.org/debian stretch/main armhf nodejs armhf 8.11.1~dfsg-2~bpo9+1 [4,126 kB]
Get:4 http://archive.raspberrypi.org/debian stretch/main armhf nodejs-doc all 8.11.1~dfsg-2~bpo9+1 [775 kB]
Get:5 http://archive.raspberrypi.org/debian stretch/main armhf nodered armhf 0.19.4 [5,307 kB]
Fetched 10.3 MB in 21s (470 kB/s)
Selecting previously unselected package libhttp-parser2.8:armhf.
(Reading database ... 35974 files and directories currently installed.)
Preparing to unpack .../libhttp-parser2.8_2.8.1-1~bpo9+1_armhf.deb ...
Unpacking libhttp-parser2.8:armhf (2.8.1-1~bpo9+1) ...
Selecting previously unselected package libuv1:armhf.
Preparing to unpack .../libuv1_1.18.0-3~bpo9+1_armhf.deb ...
Unpacking libuv1:armhf (1.18.0-3~bpo9+1) ...
Selecting previously unselected package nodejs.
Preparing to unpack .../nodejs_8.11.1~dfsg-2~bpo9+1_armhf.deb ...
Unpacking nodejs (8.11.1~dfsg-2~bpo9+1) ...
Selecting previously unselected package nodejs-doc.
Preparing to unpack .../nodejs-doc_8.11.1~dfsg-2~bpo9+1_all.deb ...
Unpacking nodejs-doc (8.11.1~dfsg-2~bpo9+1) ...
Selecting previously unselected package nodered.
Preparing to unpack .../nodered_0.19.4_armhf.deb ...
Unpacking nodered (0.19.4) ...
Setting up nodejs-doc (8.11.1~dfsg-2~bpo9+1) ...
Processing triggers for mime-support (3.60) ...
Setting up libuv1:armhf (1.18.0-3~bpo9+1) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up libhttp-parser2.8:armhf (2.8.1-1~bpo9+1) ...
Setting up nodejs (8.11.1~dfsg-2~bpo9+1) ...
update-alternatives: using /usr/bin/nodejs to provide /usr/bin/js (js) in auto mode
Setting up nodered (0.19.4) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...

install sense-hat support to avoid errors during startup

sudo apt-get install sense-hat

enable automatic startup of nodered

sudo systemctl enable nodered.service
sudo service nodered stop
sudo service nodered start

---------------------------------------------------------------------------------------------
Welcome to Node-RED
===================
4 Jan 12:44:24 - [info] Node-RED version: v0.17.5
4 Jan 12:44:24 - [info] Node.js version: v6.12.2
4 Jan 12:44:24 - [info] Linux 4.9.59-v7+ arm LE
4 Jan 12:44:25 - [info] Loading palette nodes
4 Jan 12:44:30 - [info] Dashboard version 2.7.0 started at /ui
4 Jan 12:44:33 - [info] Settings file : /home/node-red/.node-red/settings.js
4 Jan 12:44:33 - [info] User directory : /home/node-red/.node-red
4 Jan 12:44:33 - [info] Flows file : /home/node-red/.node-red/flows_node-red.json
4 Jan 12:44:33 - [info] Creating new flow file
4 Jan 12:44:33 - [info] Starting flows
4 Jan 12:44:33 - [info] Started flows
4 Jan 12:44:33 - [info] Server now running at http://127.0.0.1:1880/

 

2014 CW (Morse Telegraphy) was added to the German Nationwide Inventory of Intangible Cultural Heritage.

Logo